<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * @category    Pinpoint
 * @copyright   Copyright (c) 2020 Pinpoint Designs. (http://www.pinpointdesigns.co.uk)
 * @author      Daniel Cuevas <daniel@pinpointdesigns.co.uk>
 */
namespace Pinpoint\DropShipping\Model\Config\Source;

/**
 * Class Status
 */
class Status implements \Magento\Framework\Data\OptionSourceInterface
{

    const PENDING = '0';
    const DISPATCHED = '1';

    public function toOptionArray()
    {
        $result = [];
        foreach ($this->getOptions() as $value => $label) {
            $result[] = [
                'value' => $value,
                'label' => $label,
            ];
        }

        return $result;
    }

    public function getOptions()
    {
        return [
            self::DISPATCHED => __('Dispatched'),
            self::PENDING => __('Pending'),
        ];
    }
}
