<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * @category    Pinpoint
 * @copyright   Copyright (c) 2020 Pinpoint Designs. (http://www.pinpointdesigns.co.uk)
 * @author      Daniel Cuevas <daniel@pinpointdesigns.co.uk>
 */
namespace Pinpoint\DropShipping\Model\Config\Supplier\Source;

/**
 * Class Method
 */
class Method implements \Magento\Framework\Data\OptionSourceInterface
{

    const EMAIL = '0';
    const XML = '1';
    const CSV = '2';


    public function toOptionArray()
    {
        $result = [];
        foreach ($this->getOptions() as $value => $label) {
            $result[] = [
                'value' => $value,
                'label' => $label,
            ];
        }

        return $result;
    }

    public function getOptions()
    {
        return [
            '' => __('Please Select'),
            self::EMAIL => __('Email'),
            self::XML => __('XML'),
            self::CSV => __('CSV'),
        ];
    }
}
